/*******************************************************************************
 * Copyright 2013 Francesco Cina'
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package com.jporm.persistor.reflection;

import java.lang.reflect.Field;

import com.jporm.exception.OrmException;

/**
 * 
 * Get the value of bean a using directly accessing it
 * 
 * @author Francesco Cina'
 *
 * Mar 31, 2012
 */
public class FieldGetManipulator<BEAN, P> extends GetManipulator<BEAN, P> {

    private final Field field;

    public FieldGetManipulator(final Field field) {
        this.field = field;
        field.setAccessible(true);
    }

    @Override
    public P getValue(final BEAN bean) {
        try {
            return (P) this.field.get(bean);
        } catch (Exception e) {
            throw new OrmException(e);
        }
    }

}
